Ipopt 3.12.10

- Main Page
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros
Public Member Functions | Static Public Member Functions | Protected Member Functions | List of all members
org.coinor.examples.HS071 Class Reference

Java example for interfacing with IPOPT. More...

Inheritance diagram for org.coinor.examples.HS071:
[legend]

## Public Member Functions
| HS071 ()
| Creates a new instance of HS071cpp. More...
boolean | get_scaling_parameters (double[] obj_scaling, int n, double[] x_scaling, int m, double[] g_scaling, boolean[] use_x_g_scaling)
void | print (double[] x, String str)
Public Member Functions inherited from org.coinor.Ipopt
| Ipopt ()
| Creates a new NLP Solver using { DLLPATH} as path and { DLLNAME} as the DLL name. More...
| Ipopt (String path, String DLL)
| Creates a NLP Solver for the given DLL file. More...
void | dispose ()
| Dispose of the natively allocated memory. More...
boolean | create (int n, int m, int nele_jac, int nele_hess, int index_style)
| Create a new problem. More...
boolean | setIntegerOption (String keyword, int val)
| Function for setting an integer option. More...
boolean | setNumericOption (String keyword, double val)
| Function for setting a number option. More...
boolean | setStringOption (String keyword, String val)
| Function for setting a string option. More...
int | OptimizeNLP ()
| This function actually solve the problem. More...
double[] | getVariableValues ()
| Gives primal variable values at final point. More...
double | getObjectiveValue ()
| Gives objective function value at final point. More...
int | getStatus ()
| Gives Ipopt status of last OptimizeNLP call. More...
double[] | getConstraintValues ()
| Gives constraint function values at final point. More...
double[] | getConstraintMultipliers ()
| Gives constraint dual multipliers in final point. More...
double[] | getLowerBoundMultipliers ()
| Gives dual multipliers for variable lower bounds in final point. More...
double[] | getUpperBoundMultipliers ()
| Gives dual multipliers for variable upper bounds in final point. More...
boolean | get_scaling_parameters (double[] obj_scaling, int n, double[] x_scaling, int m, double[] g_scaling, boolean[] use_x_g_scaling)
| If you using_scaling_parameters = true, please overload this method,. More...
int | get_number_of_nonlinear_variables ()
| When LBFGS hessian approximation is used, this method should be overloaded. More...
boolean | get_list_of_nonlinear_variables (int num_nonlin_vars, int[] pos_nonlin_vars)
| When LBFGS hessian approximation is used, this method should be overloaded. More...

## Static Public Member Functions
static void | main (String[]args)
| Main function for running this example. More...

## Protected Member Functions
boolean | get_bounds_info (int n, double[] x_L, double[] x_U, int m, double[] g_L, double[] g_U)
| Callback function for variable bounds and constraint sides. More...
boolean | get_starting_point (int n, boolean init_x, double[] x, boolean init_z, double[] z_L, double[] z_U, int m, boolean init_lambda, double[] lambda)
| Callback function for the starting point. More...
boolean | eval_f (int n, double[] x, boolean new_x, double[] obj_value)
| Callback function for the objective function. More...
boolean | eval_grad_f (int n, double[] x, boolean new_x, double[] grad_f)
| Callback function for the objective function gradient. More...
boolean | eval_g (int n, double[] x, boolean new_x, int m, double[] g)
| Callback function for the constraints. More...
boolean | eval_jac_g (int n, double[] x, boolean new_x, int m, int nele_jac, int[] iRow, int[] jCol, double[] values)
| Callback function for the constraints Jacobian. More...
boolean | eval_h (int n, double[] x, boolean new_x, double obj_factor, int m, double[] lambda, boolean new_lambda, int nele_hess, int[] iRow, int[] jCol, double[] values)
| Callback function for the hessian. More...
Protected Member Functions inherited from org.coinor.Ipopt
void | finalize () throws Throwable

## Additional Inherited Members
Static Public Attributes inherited from org.coinor.Ipopt
static final String | DLLNAME = "jipopt"
| The default DLL name of the native implementation (without any platform dependent prefixes or suffixes) More...
static final String | DLLPATH = "lib"
| The relative path where the native DLL is found. More...
static final int | C_STYLE = 0
| Use C index style for iRow and jCol vectors. More...
static final int | FORTRAN_STYLE = 1
| Use FORTRAN index style for iRow and jCol vectors. More...
static final int | SOLVE_SUCCEEDED = 0
| The possible Ipopt status return codes: should be kept in sync with Ipopt return codes. More...
static final int | ACCEPTABLE_LEVEL = 1
static final int | INFEASIBLE_PROBLEM = 2
static final int | SEARCH_DIRECTION_TOO_SMALL = 3
static final int | DIVERGING_ITERATES = 4
static final int | USER_REQUESTED_STOP = 5
static final int | ITERATION_EXCEEDED = -1
static final int | RESTORATION_FAILED = -2
static final int | ERROR_IN_STEP_COMPUTATION = -3
static final int | CPUTIME_EXCEEDED = -4
static final int | NOT_ENOUGH_DEGREES_OF_FRE = -10
static final int | INVALID_PROBLEM_DEFINITION = -11
static final int | INVALID_OPTION = -12
static final int | INVALID_NUMBER_DETECTED = -13
static final int | UNRECOVERABLE_EXCEPTION = -100
static final int | NON_IPOPT_EXCEPTION = -101
static final int | INSUFFICIENT_MEMORY = -102
static final int | INTERNAL_ERROR = -199

## Detailed Description

Java example for interfacing with IPOPT.

HS071 implements a Java example of problem 71 of the Hock-Schittkowsky test suite.

The optimal solution is x = (1.00000000, 4.74299963, 3.82114998, 1.37940829).

This code was based on same problem of the Ipopt distribution.

Author
  Rafael de Pelegrini Soares, Tong Kewei

Definition at line 24 of file HS071.java.

## Constructor & Destructor Documentation

org.coinor.examples.HS071.HS071 | ( |  | ) |
| inline

Creates a new instance of HS071cpp.

Definition at line 36 of file HS071.java.

## Member Function Documentation

boolean org.coinor.examples.HS071.get_bounds_info | ( | int | n,
|  | double[] | x_L,
|  | double[] | x_U,
|  | int | m,
|  | double[] | g_L,
|  | double[] | g_U
| ) |  |
| inline protected virtual

Callback function for variable bounds and constraint sides.

Implements org.coinor.Ipopt.

Definition at line 59 of file HS071.java.

boolean org.coinor.examples.HS071.get_starting_point | ( | int | n,
|  | boolean | init_x,
|  | double[] | x,
|  | boolean | init_z,
|  | double[] | z_L,
|  | double[] | z_U,
|  | int | m,
|  | boolean | init_lambda,
|  | double[] | lambda
| ) |  |
| inline protected virtual

Callback function for the starting point.

Implements org.coinor.Ipopt.

Definition at line 80 of file HS071.java.

boolean org.coinor.examples.HS071.eval_f | ( | int | n,
|  | double[] | x,
|  | boolean | new_x,
|  | double[] | obj_value
| ) |  |
| inline protected virtual

Callback function for the objective function.

Implements org.coinor.Ipopt.

Definition at line 118 of file HS071.java.

boolean org.coinor.examples.HS071.eval_grad_f | ( | int | n,
|  | double[] | x,
|  | boolean | new_x,
|  | double[] | grad_f
| ) |  |
| inline protected virtual

Callback function for the objective function gradient.

Implements org.coinor.Ipopt.

Definition at line 127 of file HS071.java.

boolean org.coinor.examples.HS071.eval_g | ( | int | n,
|  | double[] | x,
|  | boolean | new_x,
|  | int | m,
|  | double[] | g
| ) |  |
| inline protected virtual

Callback function for the constraints.

Implements org.coinor.Ipopt.

Definition at line 139 of file HS071.java.

boolean org.coinor.examples.HS071.eval_jac_g | ( | int | n,
|  | double[] | x,
|  | boolean | new_x,
|  | int | m,
|  | int | nele_jac,
|  | int[] | iRow,
|  | int[] | jCol,
|  | double[] | values
| ) |  |
| inline protected virtual

Callback function for the constraints Jacobian.

Implements org.coinor.Ipopt.

Definition at line 150 of file HS071.java.

boolean org.coinor.examples.HS071.eval_h | ( | int | n,
|  | double[] | x,
|  | boolean | new_x,
|  | double | obj_factor,
|  | int | m,
|  | double[] | lambda,
|  | boolean | new_lambda,
|  | int | nele_hess,
|  | int[] | iRow,
|  | int[] | jCol,
|  | double[] | values
| ) |  |
| inline protected virtual

Callback function for the hessian.

Implements org.coinor.Ipopt.

Definition at line 188 of file HS071.java.

boolean org.coinor.examples.HS071.get_scaling_parameters | ( | double[] | obj_scaling,
|  | int | n,
|  | double[] | x_scaling,
|  | int | m,
|  | double[] | g_scaling,
|  | boolean[] | use_x_g_scaling
| ) |  |
| inline

Definition at line 249 of file HS071.java.

void org.coinor.examples.HS071.print | ( | double[] | x,
|  | String | str
| ) |  |
| inline

Definition at line 258 of file HS071.java.

static void org.coinor.examples.HS071.main | ( | String[] | args | ) |
| inline static

Main function for running this example.

Definition at line 269 of file HS071.java.

The documentation for this class was generated from the following file:

- contrib/JavaInterface/org/coinor/examples/HS071.java